summaryrefslogtreecommitdiffstats
path: root/desktop/kbfx
diff options
context:
space:
mode:
author Antonio Hernández Blas <hba.nihilismus@gmail.com>2010-05-11 22:21:54 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 22:21:54 +0200
commit68bdf41a75ec45a91e0ed8d9a6db60e58606d409 (patch)
tree81c9a9746896130fa4e6ad7407a7e631595241a8 /desktop/kbfx
parentbc71818e74a2890d81eaaef4d4217c222a5cafee (diff)
downloadslackbuilds-68bdf41a75ec45a91e0ed8d9a6db60e58606d409.tar.gz
slackbuilds-68bdf41a75ec45a91e0ed8d9a6db60e58606d409.tar.xz
desktop/kbfx: Updated for version 0.4.9.3.1
Diffstat (limited to 'desktop/kbfx')
-rw-r--r--desktop/kbfx/doinst.sh4
-rw-r--r--desktop/kbfx/kbfx.SlackBuild43
-rw-r--r--desktop/kbfx/kbfx.info6
3 files changed, 39 insertions, 14 deletions
diff --git a/desktop/kbfx/doinst.sh b/desktop/kbfx/doinst.sh
index 22d4849bce..b310837870 100644
--- a/desktop/kbfx/doinst.sh
+++ b/desktop/kbfx/doinst.sh
@@ -1,5 +1,5 @@
-if [ -x usr/bin/update-desktop-database ]; then
- usr/bin/update-desktop-database usr/share/applications >/dev/null 2>&1
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications
fi
diff --git a/desktop/kbfx/kbfx.SlackBuild b/desktop/kbfx/kbfx.SlackBuild
index fa4e7d2bf7..3307783b8b 100644
--- a/desktop/kbfx/kbfx.SlackBuild
+++ b/desktop/kbfx/kbfx.SlackBuild
@@ -2,15 +2,31 @@
# Slackware build script for kbfx
-# Written by core (eroc@linuxmail.org)
-
-set -e
+# Copyright (c) 2008, Antonio Hernández Blas <hba.nihilismus@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are met:
+# 1.- Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY
+# EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
+# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
+# DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY
+# DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
+# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
+# LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
+# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=kbfx
VERSION=0.4.9.3.1
ARCH=${ARCH:-i486}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
@@ -20,8 +36,12 @@ if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
fi
+set -e
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
@@ -29,30 +49,35 @@ rm -rf $PRGNAM-$VERSION
tar -jxvf $CWD/$PRGNAM-$VERSION.tar.bz2
cd $PRGNAM-$VERSION
chown -R root:root .
-chmod -R u+w,go+r-w,a-s .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
KDEPREF=$(kde-config --prefix) || true
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
-cmake -DCMAKE_INSTALL_PREFIX=$KDEPREF
+cmake -DCMAKE_INSTALL_PREFIX="$KDEPREF"
make
make install DESTDIR=$PKG
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
)
# Correct the permisions for the libs
find $PKG/usr/lib/ -type f -exec chmod 755 {} \;
-# The documentation (HTML/ and $PRGNAM-$VERSION/ dirs) is
-# under $PKG/usr/share/doc so just lets move $PRGNAM-$VERSION
+# The documentation (HTML/ and kbfx-0.4.9.3.1/) is
+# under $PKG/usr/share/doc so just lets move them
# to the right place.
mkdir -p $PKG/usr/doc
mv $PKG/usr/share/doc/$PRGNAM-$VERSION $PKG/usr/doc
+mv $PKG/usr/share/doc/HTML $PKG/usr/doc
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
diff --git a/desktop/kbfx/kbfx.info b/desktop/kbfx/kbfx.info
index 7c6369aff0..2e55b56592 100644
--- a/desktop/kbfx/kbfx.info
+++ b/desktop/kbfx/kbfx.info
@@ -3,6 +3,6 @@ VERSION="0.4.9.3.1"
HOMEPAGE="http://www.kbfx.org"
DOWNLOAD="http://downloads.sourceforge.net/kbfx/kbfx-0.4.9.3.1.tar.bz2"
MD5SUM="47bb5328a3f6dd2cc3f21279b9d0435c"
-MAINTAINER="core"
-EMAIL="eroc@linuxmail.org"
-APPROVED="rworkman"
+MAINTAINER="Antonio Hernández Blas"
+EMAIL="hba.nihilismus@gmail.com"
+APPROVED="David Somero"